package com.yeejoin.precontrol.common.feign.fallback;

import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

/**
 * @Description: TODO
 * @Author: Wanglulu
 * @Date: 2021/6/24 18:16
 * @Version 0.0.1
 */
@Service
@Slf4j
public class CustomUserServiceFallback implements FallbackFactory {

    @Override
    public ResponseModel create(Throwable throwable) {
        log.info("feign 调用失败。。。");
        return new ResponseModel();
    }
}
